How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask Engineer John C. Your Own Question

Engineer John C.
Engineer John C., Computer Engineer & Mac Enthusiast
Category: Mac
Satisfied Customers: 14563
Experience:  I am Computer Science Engineer CompTIA A+ and Cisco certified and have 10 years of experience fixing Macs
Type Your Mac Question Here...
Engineer John C. is online now
A new question is answered every 9 seconds

Im new to mac. I have a new mac mini server and i was so impressed

This answer was rated:

I'm new to mac. I have a new mac mini server and i was so impressed by what it does that i wanted my girl friend ( a computer hater-Major!) to experience apple too.
I bought her a Mac Mini 1.42 Power pc G4 with X 10.3.9 it works good but Comcast needs her to e running 10.4 or Tiger software to connect.
Can this be done?
How do I find Tiger software?
Will it run Tiger?
Can I put more than 1G of ram in this?
Hello, I am John Cappucci, Computer Science Engineer. I will be happy to help you.

How much RAM do you have now on the Mac Mini ? Thank you

John Cappucci
Computer Science Engineer
Customer: replied 5 years ago.
1 GB

You can run Tiger if you have at least 256MB RAM and a PowerPC G3, G4 or G5 processor. So you are good!

You need to buy the OS 10.4 CD or DVD (check if your Mac Mini has CD or DVD first!).

You can find it on, or (

If I helped please scroll down and click the green Accept button for me to be paid :-) (even if you have a subscription or a trial membership)

Thank you

John Cappucci
Computer Science Engineer

*** 4 IMPORTANT THINGS *** (please read them)

1- Please click the ACCEPT button, so your deposit can be released and I can get paid for my effort. (*** Even if you have a subscription plan, you need to click the Accept button if the issue is solved for me to be paid, you won't be charged twice ***, don't worry. Thank you!)

2- Let me know if the answer doesn't work INSTEAD of leaving negative feedback, so we can still continue troubleshooting the issue.

3- Positive Feedback is very important to us. Please leave me a positive feedback after you are happy with the answer.

4- Any bonus will be greatly appreciated
Engineer John C. and 2 other Mac Specialists are ready to help you
Customer: replied 5 years ago.


But could I say, use Leopard?

Or is that to far out?

Otherwise I'll stay with Tiger

Mac OS X v10.5 Leopard requires:

  • A Mac computer with an Intel, PowerPC G5, or Power PC G4 (867 MHz or faster) processor (check your processor speed, it must be faster than 867Mhz)

  • 512 MB memory or more

  • A DVD drive for installation

  • 9 GB of available disk space or more
Thank you

John Cappucci
Computer Science Engineer